For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

Update Processor

Deprecated
POST
/processors/:id
POST
/processors/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processor.update("processor_id_here");
1{
2 "success": true,
3 "processor": {
4 "object": "document_processor",
5 "id": "ex_Xj8mK2pL9nR4vT7qY5wZ",
6 "name": "Invoice Processor",
7 "type": "EXTRACT",
8 "createdAt": "2024-03-21T15:30:00Z",
9 "updatedAt": "2024-03-21T16:45:00Z",
10 "draftVersion": {
11 "object": "document_processor_version",
12 "id": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
13 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
14 "processorType": "EXTRACT",
15 "version": "draft",
16 "config": {
17 "type": "CLASSIFY",
18 "baseProcessor": "classification_performance",
19 "baseVersion": "3.2.0",
20 "classifications": [
21 {
22 "id": "my_unique_id",
23 "type": "invoice",
24 "description": "An invoice is a document that lists the items purchased and the total amount due."
25 }
26 ],
27 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
28 "advancedOptions": {
29 "context": "default",
30 "advancedMultimodalEnabled": false,
31 "fixedPageLimit": 30,
32 "pageRanges": [
33 {
34 "start": 1,
35 "end": 10
36 },
37 {
38 "start": 20,
39 "end": 30
40 }
41 ]
42 },
43 "parser": {
44 "target": "markdown",
45 "chunkingStrategy": {
46 "type": "page",
47 "options": {
48 "minCharacters": 500,
49 "maxCharacters": 10000
50 }
51 },
52 "engine": "parse_performance",
53 "engineVersion": "latest",
54 "blockOptions": {
55 "figures": {
56 "enabled": true,
57 "figureImageClippingEnabled": true,
58 "advancedChartExtractionEnabled": false
59 },
60 "tables": {
61 "enabled": true,
62 "targetFormat": "html",
63 "tableHeaderContinuationEnabled": false,
64 "cellBlocksEnabled": false,
65 "agentic": {
66 "enabled": false,
67 "customInstructions": "string"
68 }
69 },
70 "text": {
71 "signatureDetectionEnabled": false,
72 "agentic": {
73 "enabled": false,
74 "customInstructions": "string"
75 }
76 },
77 "keyValue": {
78 "blankFieldFormattingEnabled": false
79 },
80 "barcodes": {
81 "imageClippingEnabled": false,
82 "readingEnabled": false
83 },
84 "formulas": {
85 "enabled": false
86 }
87 },
88 "advancedOptions": {
89 "pageRotationEnabled": true,
90 "pageRanges": [
91 {
92 "start": 1,
93 "end": 10
94 },
95 {
96 "start": 20,
97 "end": 30
98 }
99 ],
100 "excelParsingMode": "basic",
101 "excelSkipHiddenContent": false,
102 "excelUseRawCellValues": false,
103 "excelSkipCalculation": true,
104 "verticalGroupingThreshold": 1,
105 "returnOcr": {
106 "words": false
107 },
108 "alwaysConvertToPdf": false,
109 "enrichmentFormat": "xml",
110 "imageConversionQuality": "medium",
111 "formattingDetection": [
112 {
113 "type": "change_tracking"
114 }
115 ]
116 }
117 }
118 },
119 "createdAt": "2024-03-21T15:30:00Z",
120 "updatedAt": "2024-03-21T16:45:00Z",
121 "processorName": "Invoice Processor",
122 "description": "Updated extraction fields for new invoice format"
123 }
124 }
125}
Update an existing processor in Extend
Was this page helpful?
Previous

List Processor Versions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the processor to update.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Request

This endpoint expects an object.
namestringOptional
The new name for the processor
configobjectOptional
The new configuration for the processor. The type of configuration must match the processor type: * For classification processors, use `ClassificationConfig` * For extraction processors, use `ExtractionConfig` * For splitter processors, use `SplitterConfig`

Response

Successfully updated processor
successboolean
processorobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

The new configuration for the processor. The type of configuration must match the processor type:

  • For classification processors, use ClassificationConfig
  • For extraction processors, use ExtractionConfig
  • For splitter processors, use SplitterConfig